Bug 1301952 - No signature of method groovy.util.surpersupport.NodeChildren.eachParallel()
No signature of method groovy.util.surpersupport.NodeChildren.eachParallel()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: groovy (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 07:39 EST by Radim Hopp
Modified: 2016-02-29 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version: groovy-2.4.4-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 17:22:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hopp 2016-01-26 07:39:55 EST
Description of problem:

This is followup of https://issues.jboss.org/browse/JBIDE-21204
I'm getting 
groovy.lang.MissingMethodException: No signature of method: groovy.util.slurpersupport.NodeChildren.eachParallel() is applicable for argument types: (GoOfflineScript$_downloadExamplesFromDescriptor_closure3$_closure19) values: [GoOfflineScript$_downloadExamplesFromDescriptor_closure3$_closure19@4c6daf0]
trying to run this script: https://github.com/jbosstools/jbosstools-central/blob/be2e5305523ab4bf728d075f82ebe772b4568347/examples/plugins/org.jboss.tools.project.examples/offline/go_offline.groovy#L203
(The highlighted line is the one which is causing this exception)

Using groovy 2.4.4 (the same version as in RPM package) downloaded from http://www.groovy-lang.org/ this does not happen.

Version-Release number of selected component (if applicable):

$ dnf info "*groovy*"
Failed to synchronize cache for repo 'Dropbox' from 'http://linux.dropbox.com/fedora/23/': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Last metadata expiration check performed 4 days, 19:43:47 ago on Thu Jan 21 17:41:36 2016.
Installed Packages
Name        : groovy
Arch        : noarch
Epoch       : 0
Version     : 2.4.4
Release     : 1.fc23
Size        : 127 k
Repo        : @System
From repo   : fedora
Summary     : Dynamic language for the Java Platform
URL         : http://groovy-lang.org
License     : ASL 2.0 and BSD and EPL and Public Domain and CC-BY
Description : Groovy is an agile and dynamic language for the Java Virtual Machine,
            : built upon Java with features inspired by languages like Python, Ruby and
            : Smalltalk.  It seamlessly integrates with all existing Java objects and
            : libraries and compiles straight to Java bytecode so you can use it anywhere
            : you can use Java.

Name        : groovy-lib
Arch        : noarch
Epoch       : 0
Version     : 2.4.4
Release     : 1.fc23
Size        : 13 M
Repo        : @System
From repo   : fedora
Summary     : Groovy JAR artifact
URL         : http://groovy-lang.org
License     : ASL 2.0 and BSD and EPL and Public Domain and CC-BY
Description : This package contains Groovy JAR artifact.
Comment 1 Michal Srb 2016-02-19 02:43:40 EST
Thanks for the bug report Radim, this is indeed bug in Fedora packaging.
Comment 2 Fedora Update System 2016-02-19 06:20:39 EST
groovy-2.4.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d814445cea
Comment 3 Fedora Update System 2016-02-21 12:59:15 EST
groovy-2.4.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d814445cea
Comment 4 Fedora Update System 2016-02-29 17:22:39 EST
groovy-2.4.4-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.